众扬汇 AI 开放平台 API 文档

获取任务进度(免费

OpenAPI Specification

yaml
openapi: 3.0.1
info:
  title: ''
  description: "本页接口说明详见下方接口定义;参数取值与返回以本平台实测为准。"
  version: 1.0.0
paths:
  /udio/fetch/{task_id}:
    get:
      summary: 获取任务进度(免费
      deprecated: false
      description: "本页接口「获取任务进度(免费」对应 GET /udio/fetch/{task_id}(归属:废弃、未开放/Udio文生歌)。"
      tags:
        - 废弃、未开放/Udio文生歌
      parameters:
        - name: task_id
          in: path
          description: "本次操作的标识,由平台生成"
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: "该字段的取值与含义以本平台实际返回为准。"
          required: false
          example: Bearer {{YOUR_API_KEY}}
          schema:
            type: string
            default: Bearer {{YOUR_API_KEY}}
      responses:
        '200':
          description: "该字段的取值与含义以本平台实际返回为准。"
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      task_id:
                        type: string
                      notify_hook:
                        type: string
                      action:
                        type: string
                      status:
                        type: string
                      fail_reason:
                        type: string
                      submit_time:
                        type: integer
                      start_time:
                        type: integer
                      finish_time:
                        type: integer
                      progress:
                        type: string
                      data:
                        type: object
                        properties:
                          songs:
                            type: array
                            items:
                              type: object
                              properties:
                                artist:
                                  type: string
                                artist_image:
                                  type: string
                                attribution:
                                  type: string
                                audio_conditioning_type:
                                  type: 'null'
                                created_at:
                                  type: string
                                description: "该字段的取值与含义以本平台实际返回为准。"
                                  type: string
                                disliked:
                                  type: boolean
                                duration:
                                  type: number
                                error_code:
                                  type: 'null'
                                error_detail:
                                  type: 'null'
                                error_id:
                                  type: 'null'
                                error_type:
                                  type: 'null'
                                finished:
                                  type: boolean
                                generation_id:
                                  type: string
                                id:
                                  type: string
                                image_path:
                                  type: string
                                liked:
                                  type: boolean
                                likes:
                                  type: integer
                                lyrics:
                                  type: string
                                original_song_path:
                                  type: 'null'
                                plays:
                                  type: integer
                                prompt:
                                  type: string
                                publishable:
                                  type: boolean
                                published_at:
                                  type: 'null'
                                replaced_tags:
                                  type: object
                                  properties:
                                    male vocalist, adult contemporary, pop soul, pop, love, mellow, melodic, romantic:
                                      type: object
                                      properties:
                                        tags:
                                          type: array
                                          items:
                                            type: string
                                        type:
                                          type: string
                                      required:
                                        - tags
                                        - type
                                    melodic, emotional, contemporary, R&B, male vocalist, mandopop:
                                      type: object
                                      properties:
                                        tags:
                                          type: array
                                          items:
                                            type: string
                                        type:
                                          type: string
                                      required:
                                        - tags
                                        - type
                                    male vocalist, pop, romantic, melodic, love:
                                      type: object
                                      properties:
                                        tags:
                                          type: array
                                          items:
                                            type: string
                                        type:
                                          type: string
                                      required:
                                        - tags
                                        - type
                                    melodic, romantic, male vocalist, Mandopop, catchy, pop:
                                      type: object
                                      properties:
                                        tags:
                                          type: array
                                          items:
                                            type: string
                                        type:
                                          type: string
                                      required:
                                        - tags
                                        - type
                                  required:
                                    - >-
                                      male vocalist, pop, romantic, melodic,
                                      love
                                    - >-
                                      melodic, romantic, male vocalist,
                                      Mandopop, catchy, pop
                                song_path:
                                  type: string
                                tags:
                                  type: array
                                  items:
                                    type: string
                                title:
                                  type: string
                                user_id:
                                  type: string
                                user_tags:
                                  type: array
                                  items:
                                    type: string
                                video_path:
                                  type: 'null'
                              required:
                                - artist
                                - artist_image
                                - attribution
                                - audio_conditioning_type
                                - created_at
                                - description
                                - disliked
                                - duration
                                - error_code
                                - error_detail
                                - error_id
                                - error_type
                                - finished
                                - generation_id
                                - id
                                - image_path
                                - liked
                                - likes
                                - lyrics
                                - original_song_path
                                - plays
                                - prompt
                                - publishable
                                - published_at
                                - replaced_tags
                                - song_path
                                - tags
                                - title
                                - user_id
                                - user_tags
                                - video_path
                        required:
                          - songs
                    required:
                      - task_id
                      - notify_hook
                      - action
                      - status
                      - fail_reason
                      - submit_time
                      - start_time
                      - finish_time
                      - progress
                      - data
                  01JC3N1YFDY2T463VC1MWQQV9S:
                    type: string
                required:
                  - code
                  - message
                  - data
                  - 01JC3N1YFDY2T463VC1MWQQV9S
          headers: {}
      security: []
components:
  schemas: {}
  securitySchemes: {}
servers: []
security: []

使用提示:本页接口的 Base URL 为 https://api.allyang.cn,请求头需携带 Authorization: Bearer <令牌>(令牌在控制台「令牌管理」中创建)。示例中的任务 ID、时间戳与文件地址均为示意值,实际以平台返回为准。

该分组标记为「废弃 / 未开放」,接入前请先与对接人确认开放状态。